@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  jgnash-swing startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Add default JVM options here. You can also use JAVA_OPTS and JGNASH_SWING_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto init

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto init

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:init
@rem Get command-line arguments, handling Windows variants

if not "%OS%" == "Windows_NT" goto win9xME_args

:win9xME_args
@rem Slurp the command line arguments.
set CMD_LINE_ARGS=
set _SKIP=2

:win9xME_args_slurp
if "x%~1" == "x" goto execute

set CMD_LINE_ARGS=%*

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\jgnash-swing-2.34.0.jar;%APP_HOME%\lib\jgnash-convert-2.34.0.jar;%APP_HOME%\lib\jgnash-report-core-2.34.0.jar;%APP_HOME%\lib\jgnash-core-2.34.0.jar;%APP_HOME%\lib\jgnash-plugin-2.34.0.jar;%APP_HOME%\lib\jidesoft-2.34.0.jar;%APP_HOME%\lib\jopt-simple-5.0.4.jar;%APP_HOME%\lib\jfreechart-1.0.19.jar;%APP_HOME%\lib\substance-swingx-7.3.jar;%APP_HOME%\lib\substance-7.3.jar;%APP_HOME%\lib\swingx-core-1.6.5-1.jar;%APP_HOME%\lib\jgoodies-forms-1.8.0.jar;%APP_HOME%\lib\jgoodies-looks-2.7.0.jar;%APP_HOME%\lib\jgoodies-common-1.8.1.jar;%APP_HOME%\lib\jgnash-resources-2.34.0.jar;%APP_HOME%\lib\slf4j-log4j12-1.7.21.jar;%APP_HOME%\lib\slf4j-api-1.7.21.jar;%APP_HOME%\lib\log4j-1.2.17.jar;%APP_HOME%\lib\hibernate-entitymanager-5.2.12.Final.jar;%APP_HOME%\lib\hibernate-c3p0-5.2.12.Final.jar;%APP_HOME%\lib\xstream-hibernate-1.4.10.jar;%APP_HOME%\lib\hibernate-core-5.2.12.Final.jar;%APP_HOME%\lib\hibernate-jpa-2.1-api-1.0.0.Final.jar;%APP_HOME%\lib\c3p0-0.9.5.2.jar;%APP_HOME%\lib\h2-1.4.196.jar;%APP_HOME%\lib\hsqldb-2.4.0.jar;%APP_HOME%\lib\xstream-1.4.10.jar;%APP_HOME%\lib\kxml2-2.3.0.jar;%APP_HOME%\lib\netty-codec-4.1.19.Final.jar;%APP_HOME%\lib\poi-ooxml-3.17.jar;%APP_HOME%\lib\jgnash-bayes-2.34.0.jar;%APP_HOME%\lib\commons-csv-1.5.jar;%APP_HOME%\lib\jasperreports-6.4.3.jar;%APP_HOME%\lib\itext-2.1.7.js6.jar;%APP_HOME%\lib\DynamicJasper-5.1.0.jar;%APP_HOME%\lib\jcommon-1.0.23.jar;%APP_HOME%\lib\laf-widget-7.3.jar;%APP_HOME%\lib\trident-7.3-swing.jar;%APP_HOME%\lib\laf-plugin-7.3.jar;%APP_HOME%\lib\swingx-autocomplete-1.6.5-1.jar;%APP_HOME%\lib\swingx-action-1.6.5-1.jar;%APP_HOME%\lib\swingx-plaf-1.6.5-1.jar;%APP_HOME%\lib\swingx-graphics-1.6.5-1.jar;%APP_HOME%\lib\swingx-painters-1.6.5-1.jar;%APP_HOME%\lib\hibernate-commons-annotations-5.0.1.Final.jar;%APP_HOME%\lib\jboss-logging-3.3.0.Final.jar;%APP_HOME%\lib\dom4j-1.6.1.jar;%APP_HOME%\lib\javassist-3.20.0-GA.jar;%APP_HOME%\lib\byte-buddy-1.6.14.jar;%APP_HOME%\lib\jboss-transaction-api_1.2_spec-1.0.1.Final.jar;%APP_HOME%\lib\mchange-commons-java-0.2.11.jar;%APP_HOME%\lib\netty-transport-4.1.19.Final.jar;%APP_HOME%\lib\poi-3.17.jar;%APP_HOME%\lib\poi-ooxml-schemas-3.17.jar;%APP_HOME%\lib\curvesapi-1.04.jar;%APP_HOME%\lib\bcmail-jdk15on-1.52.jar;%APP_HOME%\lib\bcpkix-jdk15on-1.52.jar;%APP_HOME%\lib\bcprov-jdk15on-1.52.jar;%APP_HOME%\lib\commons-digester-2.1.jar;%APP_HOME%\lib\commons-beanutils-1.9.3.jar;%APP_HOME%\lib\commons-collections-3.2.2.jar;%APP_HOME%\lib\commons-logging-1.2.jar;%APP_HOME%\lib\ecj-4.4.2.jar;%APP_HOME%\lib\icu4j-57.1.jar;%APP_HOME%\lib\commons-collections4-4.1.jar;%APP_HOME%\lib\swingx-common-1.6.5-1.jar;%APP_HOME%\lib\xmlpull-1.1.3.1.jar;%APP_HOME%\lib\xpp3_min-1.1.4c.jar;%APP_HOME%\lib\netty-buffer-4.1.19.Final.jar;%APP_HOME%\lib\netty-resolver-4.1.19.Final.jar;%APP_HOME%\lib\commons-codec-1.10.jar;%APP_HOME%\lib\xmlbeans-2.6.0.jar;%APP_HOME%\lib\netty-common-4.1.19.Final.jar;%APP_HOME%\lib\antlr-2.7.7.jar;%APP_HOME%\lib\jandex-2.0.3.Final.jar;%APP_HOME%\lib\classmate-1.3.0.jar

@rem Execute jgnash-swing
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %JGNASH_SWING_OPTS%  -classpath "%CLASSPATH%" jgnash.Main %CMD_LINE_ARGS%

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable JGNASH_SWING_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%JGNASH_SWING_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
